Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.vertical.model
Interface VVerticalPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  VVerticalPackageImpl

    public interface VVerticalPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Since:
  1.2
See Also:
  `VVerticalFactory`

Nested Class Summary
`static interface` | `VVerticalPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static VVerticalPackage` | `eINSTANCE` The singleton instance of the package.
`static String` | `eNAME` The package name.
`static String` | `eNS_PREFIX` The package namespace name.
`static String` | `eNS_URI` The package namespace URI.
`static int` | `VERTICAL_LAYOUT` The meta object id for the '`Layout`' class.
`static int` | `VERTICAL_LAYOUT__ATTACHMENTS` The feature id for the 'Attachments' containment reference list.
`static int` | `VERTICAL_LAYOUT__CHILDREN` The feature id for the 'Children' containment reference list.
`static int` | `VERTICAL_LAYOUT__DIAGNOSTIC` The feature id for the 'Diagnostic' containment reference.
`static int` | `VERTICAL_LAYOUT__ENABLED` The feature id for the 'Enabled' attribute.
`static int` | `VERTICAL_LAYOUT__NAME` The feature id for the 'Name' attribute.
`static int` | `VERTICAL_LAYOUT__READONLY` The feature id for the 'Readonly' attribute.
`static int` | `VERTICAL_LAYOUT__VISIBLE` The feature id for the 'Visible' attribute.
`static int` | `VERTICAL_LAYOUT_FEATURE_COUNT` The number of structural features of the 'Layout' class.

Method Summary
`VVerticalFactory` | `getVerticalFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EClass` | `getVerticalLayout()` Returns the meta object for class '`Layout`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final VVerticalPackage eINSTANCE

  The singleton instance of the package.

### VERTICAL_LAYOUT

    static final int VERTICAL_LAYOUT

  The meta object id for the '`Layout`' class.

  See Also:
    `VVerticalLayoutImpl`, `VVerticalPackageImpl.getVerticalLayout()`, Constant Field Values

### VERTICAL_LAYOUT__NAME

    static final int VERTICAL_LAYOUT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### VERTICAL_LAYOUT__VISIBLE

    static final int VERTICAL_LAYOUT__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values

### VERTICAL_LAYOUT__ENABLED

    static final int VERTICAL_LAYOUT__ENABLED

  The feature id for the 'Enabled' attribute.

  See Also:
    Constant Field Values

### VERTICAL_LAYOUT__READONLY

    static final int VERTICAL_LAYOUT__READONLY

  The feature id for the 'Readonly' attribute.

  See Also:
    Constant Field Values

### VERTICAL_LAYOUT__DIAGNOSTIC

    static final int VERTICAL_LAYOUT__DIAGNOSTIC

  The feature id for the 'Diagnostic' containment reference.

  See Also:
    Constant Field Values

### VERTICAL_LAYOUT__ATTACHMENTS

    static final int VERTICAL_LAYOUT__ATTACHMENTS

  The feature id for the 'Attachments' containment reference list.

  See Also:
    Constant Field Values

### VERTICAL_LAYOUT__CHILDREN

    static final int VERTICAL_LAYOUT__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values

### VERTICAL_LAYOUT_FEATURE_COUNT

    static final int VERTICAL_LAYOUT_FEATURE_COUNT

  The number of structural features of the 'Layout' class.

  See Also:
    Constant Field Values

Method Detail

### getVerticalLayout

    org.eclipse.emf.ecore.EClass getVerticalLayout()

  Returns the meta object for class '`Layout`'.

  Returns:
    the meta object for class 'Layout'.
  See Also:
    `VVerticalLayout`

### getVerticalFactory

    VVerticalFactory getVerticalFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.